﻿using AutomobilePlantDataModels.Enums;
using AutomobilePlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutomobilePlantContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Number")]
        public int Id { get; set; }
        public int CarId { get; set; }
        [DisplayName("Car's name")]
        public string CarName { get; set; } = string.Empty;
        [DisplayName("Count")]
        public int Count { get; set; }
        [DisplayName("Sum")]
        public double Sum { get; set; }
        [DisplayName("Status")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        [DisplayName("Date of creation")]
        public DateTime DateCreate { get; set; } = DateTime.Now;
        [DisplayName("Date of completion")]
        public DateTime? DateImplement { get; set; }
    }
}
